#pragma once

#include "CoreMinimal.h"
#include "StoreFeaturedRecommendation.h"
#include "StoreFeaturedSingleCharacterRecommendationData.h"
#include "StoreFeaturedCharacterRecommendationData.generated.h"

USTRUCT(BlueprintType)
struct FStoreFeaturedCharacterRecommendationData : public FStoreFeaturedRecommendation
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FStoreFeaturedSingleCharacterRecommendationData> Characters;

public:
	DEADBYDAYLIGHT_API FStoreFeaturedCharacterRecommendationData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreFeaturedCharacterRecommendationData) { return 0; }
